core.node.services / NodeInterestRates / Oracle

# Oracle

`class Oracle`

An implementation of an interest rate fix oracle which is given data in a simple string format.

The oracle will try to interpolate the missing value of a tenor for the given fix name and date.

### Constructors

<init> | `Oracle(identity: Party, signingKey: KeyPair)` An implementation of an interest rate fix oracle which is given data in a simple string format.

### Properties

identity | `val identity: Party`
knownFixes | `var knownFixes: FixContainer`

### Functions

query | `fun query(queries: List<FixOf>): List<Fix>`
sign | `fun sign(wtx: WireTransaction): LegallyIdentifiable`